aboutsummaryrefslogtreecommitdiffstats
path: root/testing/py-isbn
diff options
context:
space:
mode:
authorFabian Affolter <fabian@affolter-engineering.ch>2013-09-07 20:51:01 +0000
committerBartłomiej Piotrowski <b@bpiotrowski.pl>2013-09-08 14:36:46 +0200
commit427c1738f62161aeb8fe99877ba0ec1fea470b53 (patch)
treeb6f922c9fc8243bbdce652bc83bc8931f0801c44 /testing/py-isbn
parent46d0f752723d992674433527d5ed5afb8c96a57e (diff)
downloadaports-427c1738f62161aeb8fe99877ba0ec1fea470b53.tar.gz
aports-427c1738f62161aeb8fe99877ba0ec1fea470b53.tar.bz2
aports-427c1738f62161aeb8fe99877ba0ec1fea470b53.tar.xz
testing/py-isbn: new aport
A module for working with 10- and 13-digit ISBNs https://github.com/JNRowe/pyisbn
Diffstat (limited to 'testing/py-isbn')
-rw-r--r--testing/py-isbn/APKBUILD41
1 files changed, 41 insertions, 0 deletions
diff --git a/testing/py-isbn/APKBUILD b/testing/py-isbn/APKBUILD
new file mode 100644
index 0000000000..366408eabe
--- /dev/null
+++ b/testing/py-isbn/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
+pkgname=py-isbn
+_pkgname=pyisbn
+pkgver=0.5.2
+pkgrel=0
+pkgdesc="A module for working with 10- and 13-digit ISBNs"
+url="https://github.com/JNRowe/pyisbn"
+arch="noarch"
+license="GPL3+"
+depends="python"
+depends_dev=""
+makedepends="python-dev py-setuptools"
+install=""
+subpackages=""
+source="http://pypi.python.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$_builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="df63ca1af91db9e1b1c1ec1af2c6162b pyisbn-0.5.2.tar.gz"
+sha256sums="920898dd5f774049f32412e59540641d3cebca2fd4550ec70fb0038a3afdac29 pyisbn-0.5.2.tar.gz"
+sha512sums="2e3f114d02e1f9ca54797d38729dd8787709ac5d9140fc899fa4303e4bf7535a933885d2087bd238ab0230de23e52929d1038548abade5625f437748e9c4856c pyisbn-0.5.2.tar.gz"